View Issue Details

IDProjectCategoryView StatusLast Update
0030950FPCFCLpublic2017-07-17 18:24
ReporterManfred HahnAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform64bitOSWindowsOS Version10 Ver 1607
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0030950: FormatFloat gives wrong separator positions with extended numbers
DescriptionFormatFloat gives a wrong position of thousand separator when formatting an
extended number

Output of test program:

Extended: 4.49888060000000000002E+0005
Formatstring: #,###,##0.00
FormatFloat output: 44.9888,06
Steps To ReproduceTestprog
TagsNo tags attached.
Fixed in Revision36740
FPCOldBugId
FPCTarget
Attached Files

Relationships

related to 0029781 closedMichael Van Canneyt Problems DisplayFormat Lazarus 1.6 fpc 3.0 

Activities

Manfred Hahn

2016-11-18 10:09

reporter  

FormatTest.lpr (270 bytes)

Manfred Hahn

2016-11-18 10:13

reporter   ~0095985

Last edited: 2016-11-19 11:14

View 2 revisions

maybe related to 0029781
Category has to be changed to RTL

Thaddy de Koning

2016-11-19 12:54

reporter   ~0096033

Last edited: 2016-11-19 12:54

View 2 revisions

Yup:
Arm linux 32 bit the same.:
pi@raspberrypi:~/Downloads $ ./FormatTest
Extended: 4.4988806000000000E+005
Formatstring: #,###,##0.00
FormatFloat output: 44,9888.06

Michael Van Canneyt

2017-07-17 18:24

administrator   ~0101740

Fixed. please test and close if OK

Issue History

Date Modified Username Field Change
2016-11-18 10:09 Manfred Hahn New Issue
2016-11-18 10:09 Manfred Hahn File Added: FormatTest.lpr
2016-11-18 10:13 Manfred Hahn Note Added: 0095985
2016-11-19 11:14 Manfred Hahn Note Edited: 0095985 View Revisions
2016-11-19 12:54 Thaddy de Koning Note Added: 0096033
2016-11-19 12:54 Thaddy de Koning Note Edited: 0096033 View Revisions
2016-11-20 11:11 Michael Van Canneyt Relationship added related to 0029781
2016-11-20 11:11 Michael Van Canneyt Assigned To => Michael Van Canneyt
2016-11-20 11:11 Michael Van Canneyt Status new => assigned
2017-07-17 18:24 Michael Van Canneyt Fixed in Revision => 36740
2017-07-17 18:24 Michael Van Canneyt Note Added: 0101740
2017-07-17 18:24 Michael Van Canneyt Status assigned => resolved
2017-07-17 18:24 Michael Van Canneyt Fixed in Version => 3.1.1
2017-07-17 18:24 Michael Van Canneyt Resolution open => fixed
2017-07-17 18:24 Michael Van Canneyt Target Version => 3.2.0